Skip to content

Quotes

Fire a GET_QUOTES event to generate quotes. The Quotes reference documents individual quote retrieval, query parameters, underwriter decisions, and the current response fields.

You can retrieve a list of quotes resulting from a GET_QUOTES event by providing its triggerRequestId. Each quote is identified by requestId.

HTTPGET
GET https://api.{ENV}.dais.com/ioi/v3/quotes/trigger/{triggerRequestId}
cURL
curl --location --request GET 'https://api.{ENV}.dais.com/ioi/v3/quotes/trigger/<UUID of the trigger request ID>' \
--header 'Authorization: Basic <Base64-encoded API key and secret>'
JSON
{
  "quoted": [
    {
      "requestId": "<UUID of the quote request ID>",
      "pipelineId": "<UUID of the pipeline ID>",
      "triggerRequestId": "<UUID of the trigger request ID>",
      "quoteTimestamp": "2022-05-24T19:04:24.1Z",
      "quotingOrganization": "<Quoting organization name>",
      "quoteDetails": {
        "premium": {
          "amount": 3945.0,
          "per": "YEAR"
        },
        "duration": {
          "length": 12,
          "scale": "MONTH"
        },
        "coverageTypes": [
          {
            "coverages": [
              {
                "details": {}
              }
            ]
          }
        ],
        "expirationDate": "2022-06-24T19:04:24.183Z"
      },
      "messages": [],
      "bindable": true,
      "effectiveDate": "2022-05-25",
      "type": "QUOTE",
      "lineId": "<UUID of the product ID>",
      "lineName": "<Product name>",
      "clientId": "<UUID of the client ID>",
      "clientOrganizationId": "<UUID of the client organization ID>",
      "quotingOrganizationId": "<UUID of the quoting organization ID>",
      "actionId": "<UUID of the action ID>",
      "metadata": {
        "rateMeta": {
          "<Rating metadata key 1>": "49.08",
          "<Rating metadata key 2>": "60.0"
        }
      },
      "rawQuoteRequest": {},
      "rawQuoteDetails": {},
      "asRatingConfiguredAtTimestamp": "2022-05-24T19:04:24.1Z"
    }
  ],
  "declined": []
}

Response Fields#

PropertyDescription
quotedArray of quote requests that were successfully quoted
declinedArray of quote requests that were declined or failed to quote

Quote object fields:

PropertyDescription
requestIdUUID representing an individual quote. Use this ID when firing the PAYMENT_SETUP event.
triggerRequestIdUUID representing the GET_QUOTES event that generated these quotes.
pipelineIdFor internal use
quoteTimestampTimestamp showing when the quote was generated
quotingOrganizationOrganization that owns the line
quoteDetailsQuote details returned from the quote request. Explained in detail below
bindableBoolean representation of whether the quote is bindable
messagesThis field is sometimes used to return errors or other messages
effectiveDateDate when the policy would go into effect if purchased
typeQuote type, such as QUOTE, ENDORSEMENT, RENEWAL, or DECLINE. See the full enum
lineIdUUID ID of the product for which this quote was generated
lineNameName of the product
clientIdUUID ID of the client on whose behalf the quote was requested
clientOrganizationIdUUID ID of the organization requesting the quote
quotingOrganizationIdUUID of the organization providing the quote.
actionIdFor internal use
metadataQuote metadata
asRatingConfiguredAtTimestampTimestamp of the rating configuration used to generate the quote

Quote details fields:

PropertyDescription
premiumQuoted policy premium
durationQuoted policy duration
coverageTypesCoverages included in the quote
expirationDateTimestamp after which the quote will no longer be valid

Download Advanced Rating Worksheet PDF#

For quotes generated by an advanced rating algorithm, you can download the rating worksheet as a PDF. Use the quote requestId returned from the quote response as the quoteId path parameter.

HTTPGET
GET https://api.{ENV}.dais.com/ioi/v3/download/advanced/worksheet/{quoteId}/pdf
cURL
curl --location --request GET 'https://api.{ENV}.dais.com/ioi/v3/download/advanced/worksheet/<UUID of the quote request ID>/pdf?verbose=false' \
--header 'Authorization: Basic <Base64-encoded API key and secret>' \
--output advanced-rating-worksheet.pdf

Path parameters:

PropertyRequiredDescription
quoteIdYesUUID of the quote to download a worksheet for

Query parameters:

PropertyRequiredDefaultDescription
verboseNofalseWhen false, returns the coverage worksheet view with rating values. When true, returns the full advanced rating algorithm worksheet.

Response:

The response body is a PDF file.

HeaderValue
Content-Typeapplication/pdf

This endpoint is only available for quotes rated with the advanced algorithm worksheet flow.